// Check for version updates
function CheckVersion(respondRegardless)
{		
	//if (debug) print("\n--------------------------\nFunction: checkVersion\n");

	var versionRequest = new XMLHttpRequest();	

	versionRequest.onreadystatechange = function ()
	{	
		//if( debug > 2 ) print("\n XML State has changed. Status is: " + this.readyState);
		
		if(this.readyState == 4) // complete
		{
			try
			{
				var doc = this.responseXML;
			
				if(this.status == 200 && doc != null)
				{	
					// Okay, looks like we have a version XML file. 
					var funds = doc.evaluate(VERSION_SHORTNAME + "/version_tag");
					
					// grab the first (and should be only) item and get the version 
					// and the downInitialize URL
					var node = funds.item(0);
		
					var tmpVersion = node.evaluate("string(version)");
					var downInitializeURL = node.evaluate("string(url)");
							
					//if ( debug > 2 ) print ("tmpVersion = " + tmpVersion + "; VERSION_NUMBER = " + VERSION_NUMBER);		
							
					// If things look good, compare the numbers and show them their prizes.
					if ((tmpVersion != null) && (downInitializeURL != null)){
						if (Number(VERSION_NUMBER) < Number(tmpVersion)){
							var response = alert ( "There is a newer version of the " + VERSION_WIDGETNAME + " widget available.\n\nDo you want to download it?", "Yes", "No");
							if (response == 1) openURL(downInitializeURL);
						}else if (respondRegardless == 1){
							alert("You are running the most recent version of " + VERSION_WIDGETNAME + ".");
						}	
					}
					else{
						alert ( "Error: Version information could not be retrieved from server." );
					}
				}	
				else
				{
					if (respondRegardless == 1)
					alert("Error: Version information could not be retrieved from server.");
				} // end of if this.status
			}
			catch(e)
			{
				 if (respondRegardless == 1)
					alert("Error: Version information could not be retrieved from server.");
			}
			
		} // end of if this.readyState		

	} // end of onreadystate function 

	// send async request			
	versionRequest.open( "GET", VERSION_URL, true);	
	versionRequest.send();
}