// Print the currently running function's name to debug window
function printFunction(func)
{
	print("\n-----------------------------------\nFunction:  " + func + "()");
}

// Print an error message to debug window according to the passed function name, message and error object
function printError(func, message, e)
{
	if(e instanceof Error)
	{
		print("\nERROR: " + func + "() >> " + message + " The error message is: " + e.message + " (File: " + e.fileName + ", Line:" + e.lineNumber  + ")\n");
	}
	else if(e instanceof DOMException)
	{
		print("\nERROR: " + func + "() >> " + message + " Error code: " + e.code + "\n");
	}
	else
	{
		print("\nERROR: " + func + "() >> " + message + "\n" + e + "\n");
	}
}


function pdump(o) {
	print('PDUMP:');
	for (var i in o) {
		if (typeof(o[i]) != 'function') {
			print('\t[' + i + ']: ' + o[i]);
		}
	}
}