/************************************************************************
	Feed Item Object
*************************************************************************/	

function FeedItem(feed, id)
{
	this.feed = feed;
	this.id = id;
}

// Mark item as read or unread
FeedItem.prototype.setRead = function(read, animate)
{
	var id = this.guid ? this.guid : this.link;
	
	if(read && !this.read)
	{
		this.read = true;
		readItems.push(id);
		if(readItems.length >= 2001) readItems.splice(0, 1); // Keep up to 2000 read items
		this.feed.readItems += 1;
	}
	else if(!read && this.read)
	{
		this.read = false;
		readItems.splice(getArrayElementIndex(readItems, id), 1);
		this.feed.readItems -= 1;
	}
	else return;

	if (this.feed == feedsPane.selectedRow.feed || allFeeds == feedsPane.selectedRow.feed) {
		if (parseBool(preferences.showReadItems.value)) {
			this.row.setActive(!read, animate);
		} else {	
			if (read) {
				HideTooltip(true);
				RemoveItem(this, animate);
			} else {
				AddItem(this, this.id, animate);
			}
		}
	}
	
	this.feed.row.setActive(this.feed.readItems < this.feed.items.length, true);
}